Renewing the certificate is not possible

My domain is: gaming-evolution.net

I ran this command: certbot renew

It produced this output:

Saving debug log to /var/log/letsencrypt/letsencrypt.log


Processing /etc/letsencrypt/renewal/ranksystem.gaming-evolution.net.conf


Cert not yet due for renewal


Processing /etc/letsencrypt/renewal/teamspeak.gaming-evolution.net.conf


Cert not yet due for renewal


Processing /etc/letsencrypt/renewal/gaming-evolution.net.conf


Cert is due for renewal, auto-renewing…
Plugins selected: Authenticator webroot, Installer None
Renewing an existing certificate
Performing the following challenges:
http-01 challenge for gaming-evolution.net
Waiting for verification…
Cleaning up challenges
Attempting to renew cert (gaming-evolution.net) from /etc/letsencrypt/renewal/gaming-evolution.net.conf produced an unexpected error: Failed authorization procedure. gaming-evolution.net (http-01): urn:ietf:params:acme:error:unauthorized :: The client lacks sufficient authorization :: Invalid response from https://gaming-evolution.net/.well-known/acme-challenge/JQbg6wkXjwNMQYRhc--tlfAOci-QHlTNtZjEkpdvfG8 [176.9.22.165]: "\n\n \n <meta charset=“utf-8”>\n <meta http-equiv=“X-UA-Compatible” content=“IE=edge”>\n ". Skipping.


Processing /etc/letsencrypt/renewal/tswi.gaming-evolution.net.conf


Cert is due for renewal, auto-renewing…
Plugins selected: Authenticator webroot, Installer None
Renewing an existing certificate
Performing the following challenges:
http-01 challenge for tswi.gaming-evolution.net
Cleaning up challenges
Encountered exception during recovery:
Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/certbot/auth_handler.py”, line 75, in handle_authorizations
resp = self._solve_challenges(aauthzrs)
File “/usr/lib/python3/dist-packages/certbot/auth_handler.py”, line 132, in _solve_challenges
resp = self.auth.perform(all_achalls)
File “/usr/lib/python3/dist-packages/certbot/plugins/webroot.py”, line 83, in perform
self._create_challenge_dirs()
File “/usr/lib/python3/dist-packages/certbot/plugins/webroot.py”, line 172, in _create_challenge_dirs
stat_path = os.stat(path)
FileNotFoundError: [Errno 2] No such file or directory: ‘/var/www/tswi.gaming-evolution.net’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/certbot/error_handler.py”, line 108, in _call_registered
self.funcs-1
File “/usr/lib/python3/dist-packages/certbot/auth_handler.py”, line 316, in _cleanup_challenges
self.auth.cleanup(achalls)
File “/usr/lib/python3/dist-packages/certbot/plugins/webroot.py”, line 224, in cleanup
os.remove(validation_path)
FileNotFoundError: [Errno 2] No such file or directory: ‘/var/www/tswi.gaming-evolution.net/.well-known/acme-challenge/kE4EAUQZgDCCJ0RU_DjFX88G28Hu90LQ_nehrJCOAKk’
Attempting to renew cert (tswi.gaming-evolution.net) from /etc/letsencrypt/renewal/tswi.gaming-evolution.net.conf produced an unexpected error: [Errno 2] No such file or directory: ‘/var/www/tswi.gaming-evolution.net’. Skipping.
All renewal attempts failed. The following certs could not be renewed:
/etc/letsencrypt/live/gaming-evolution.net/fullchain.pem (failure)
/etc/letsencrypt/live/tswi.gaming-evolution.net/fullchain.pem (failure)


The following certs are not due for renewal yet:
/etc/letsencrypt/live/ranksystem.gaming-evolution.net/fullchain.pem expires on 2020-02-14 (skipped)
/etc/letsencrypt/live/teamspeak.gaming-evolution.net/fullchain.pem expires on 2020-02-12 (skipped)
All renewal attempts failed. The following certs could not be renewed:
/etc/letsencrypt/live/gaming-evolution.net/fullchain.pem (failure)
/etc/letsencrypt/live/tswi.gaming-evolution.net/fullchain.pem (failure)


2 renew failure(s), 0 parse failure(s)

IMPORTANT NOTES:

My web server is (include version): Nginx 1.10.3

My hosting provider, if applicable, is: Hetzner

I can login to a root shell on my machine (yes or no, or I don’t know): yes

I’m using a control panel to manage my site (no, or provide the name and version of the control panel): no

The version of my client is (e.g. output of certbot --version or certbot-auto --version if you’re using Certbot): certbot 0.28.0

Hi @BleckHall

if you use webroot and if Letsencrypt can’t validate your domain:

  • Your webroot is wrong
  • You have changed your configuration

Checking your domain there are a lot of older certificates - https://check-your-website.server-daten.de/?q=gaming-evolution.net

And a redirect http -> https, there answers a “Pterodactyl Software”. Is that software able to work with your Certbot?

Your certificate is 37 days expired:

CN=gaming-evolution.net
	12.08.2019
	10.11.2019
37 days expired	gaming-evolution.net - 1 entry

Http works with a nginx, perhaps it’s easier to use the nginx authenticator, not webroot. Try - one time - -a nginx certonly.

its the webinterface to manage my game and voice server

Where can i delete it ?

Same error

That’s not possible. nginx adds a location definition, so there is no redirect http -> https.

Or your configuration is completely broken.

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.